body { 	background-color: blank; 
       	font-family: 'Antic Slab', sans-serif;
       	font-size: 18px; 
	line-height: 1.5;
       	color: #252525; 
       	border: 1px solid #f5f5f5;
	border-radius: 5px;
        width:1200px;
        padding:20px;
        margin-right: auto;
        margin-left: auto;
}

h1 { color: red; font-size: 4em; }
h2 { color: navy; font-size: 1.7em; }
h3 { color: navy; font-size: 1.6em; }
h4 { color: navy; font-size: 1.5em; }
h5 { color: blue; font-size: 1.4em; }
h6 { color: blue; font-size: 1.3em; }

li { 
	padding-bottom: 15px;
	list-style-position: outside;
	padding-left: 1em; 
}

a { color: #f68e13; text-decoration: none; transition: color 400ms, background-color 400ms;}
a:hover { color: navy; }

/* disseny DIVS */

.main {	width:97%; margin:auto;}
.texte-central { text-align: center; }
.imatge-central { max-width: 598px; margin-top: 12px; margin-bottom: 12px; }
.texte-justificat { text-align: justify; }

/* notes finals */

.footNote { margin-top:0cm; margin-right: 0cm; margin-bottom: 6pt; }
.footReference { font-size:14.0pt; font-family: Calibri, sans-serif; padding-right: 24px; }
.textReference { font-size:14.0pt; font-family: Calibri, sans-serif; marging-left: 30px; text-align: justify;}
.footRef { color: black; }
.footRef:link {	font-size: 1em; }

/* taules */

.divTable{ display: table; }
.divTableRow { display: table-row; font-size: 1.3em; }
.divTableHeading { background-color: #EEE; display: table-header-group; }

.divTableCell, .divTableHead {
	border: 1px solid #999999;
	display: table-cell;
	padding: 3px 10px;
	text-align: left;
	vertical-align: middle;
}

.divTableHeading { background-color: #EEE; display: table-header-group;	font-weight: bold; }
.divTableFoot {	background-color: #EEE;	display: table-footer-group; font-weight: bold; }
.divTableBody {	display: table-row-group; }

.container_titol {
    display: flex;
    justify-content: center;
    width: 100%;
    background-color:#060270;
    text-align: center;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 1;
    position: relative;
}

.container {
    width: 100%;
    font-size: 1.3em;
    text-align: center;
    background: rgba(255, 255, 255, 0.8);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 1;
    position: relative;
}

.input-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 20px;
}

.input-container input {
    margin: 5px;
    text-align: center;
    border: 1px solid #ccc;
    border-radius: 5px;
}

button {
    background-color: orange;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
}

button:hover {
    background-color: #FDC26A;
}


table {
	border-collapse: collapse; /* Fusiona les vores de les cel·les */
	table-layout: fixed; /* Evita que la taula es redimensioni */
	width: 270px; /* Ample total de la taula */
	height: 270px; /* Alçada total de la taula */
	margin: auto;
	border: 2px solid black; /* Agrega una vora a la taula */
}

td {
	width: 32px;
	height: 32px;
	border: 1px solid #000; /* Agrega una vora a les cel·les */
	text-align: center;
	font-size: 16px;
	padding: 0; /* Elimina els espais dins les cel·les */
}

.td-menu {
	cursor: pointer;
	text-align: center;
}

.sudoku tr:nth-child(3n) td {
	border-bottom: 2px solid #333;
}

.sudoku td:nth-child(3n) {
	border-right: 2px solid #333;
}

.sudoku tr:first-child td {
	border-top: 2px solid #333;
}

.sudoku tr:last-child td {
	border-bottom: 2px solid #333;
}

.sudoku td:first-child {
	border-left: 2px solid #333;
}

.sudoku td:last-child {
	border-right: 2px solid #333;
}
